VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IMessage Class Referenceabstract
VST 3 Interfaces to be implemented by the Host | VST 3 Interfaces defined in version 3.0.0

Private Plug-in message. More...

`#include <ivstmessage.h>`

Inheritance diagram for IMessage:

## Public Member Functions
virtual FIDString | getMessageID ()=0
| Returns the message ID (for example "TextMessage"). More...
virtual void | setMessageID (FIDString id)=0
| Sets a message ID (for example "TextMessage"). More...
virtual IAttributeList * | getAttributes ()=0
| Returns the attribute list associated to the message. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Private Plug-in message.

- [host imp]
- [create via IHostApplication::createInstance]
- [released: 3.0.0]

Messages are sent from a VST-controller component to a VST-editor component and vice versa.

See also
  IAttributeList, IConnectionPoint, Communication between the components

## Member Function Documentation

virtual FIDString getMessageID | ( |  | ) |
| pure virtual

Returns the message ID (for example "TextMessage").

Implemented in HostMessage.

virtual void setMessageID | ( | FIDString | id | ) |
| pure virtual

Sets a message ID (for example "TextMessage").

virtual IAttributeList* getAttributes | ( |  | ) |
| pure virtual

Returns the attribute list associated to the message.

Implemented in HostMessage.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.